public class Eagle extends Animal implements Flying, Swimming {
    @Override
    public void makeSound() {
        System.out.println("Eagle screams!");
    }

    @Override
    public void fly() {
        System.out.println("Eagle flies high in the sky.");
    }

    @Override
    public void swim() {
        System.out.println("Eagle fishes in the water (swims...).");
    }
}
